## amixer-gtk 0.2.7

=== Makefile ===

GUI_DIR   := ui
ALSA_DIR := alsa

DESTDIR ?=
PREFIX  ?= /usr/local
BINDIR  ?= $(DESTDIR)$(PREFIX)/bin

VPATH := $(GUI_DIR):$(ALSA_DIR)

INSTALLED_FILES := \
	$(BINDIR)/amixer-gtk \
	$(DESTDIR)$(PREFIX)/share/applications/amixer-gtk.desktop \
	$(DESTDIR)/usr/share/pixmaps/amixer-gtk.png

.SUFFIXES:

all: $(GUI_DIR)/amixer-gtk

#--------- Executable
$(GUI_DIR)/amixer-gtk: $(GUI_DEPS)
	@$(MAKE) -r -C $(GUI_DIR) amixer-gtk

$(WATCH_DIR)/alsa.a: $(WATCH_DEPS)
	@$(MAKE) -r -C $(WATCH_DIR) alsa.a

#--------- Installation
# Essentials:
install: $(INSTALLED_FILES)

$(BINDIR)/amixer-gtk: $(GUI_DIR)/amixer-gtk
	cp $< $@

$(DESTDIR)$(PREFIX)/share/applications/amixer-gtk.desktop: amixer-gtk.desktop
	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
	cp $< $@

$(DESTDIR)/usr/share/pixmaps/amixer-gtk.png: images/amixer-gtk.png
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	cp $< $@

#------- Cleaning
clean:
	$(MAKE) -r -C $(ALSA_DIR) clean
	$(MAKE) -r -C $(GUI_DIR) clean

cleanall:
	$(MAKE) -r -C $(ALSA_DIR) cleanall
	$(MAKE) -r -C $(GUI_DIR) cleanall

uninstall:
	rm -vf $(INSTALLED_FILES)

.PHONY: clean cleanall uninstall
.SILENT: clean cleanall uninstall

=== alsa/Makefile ===
.SUFFIXES:

%.o: %.c
	gcc -c $< -I.. -Wno-deprecated-declarations -D_GNU_SOURCE

backend.a: list.o events.o async.o amixer.o userinfo.o
	ar -rcs $@ $^

.PHONY: clean cleanall

clean:
	@rm -vf $(wildcard *.o) $(wildcard *~)

cleanall:
	@rm -vf $(wildcard *.o) $(wildcard *~) backend.a

=== ui/Makefile ===
# paths
PREFIX    ?= /usr

ALSA_DIR := ../alsa
ICON_DIR := ../images

SOUND_ICON := $(ICON_DIR)/sound_24x24.png
NO_SOUND_ICON := $(ICON_DIR)/no_sound_24x24.png
PLAYBACK_ICON := $(ICON_DIR)/playback.png
CAPTURE_ICON := $(ICON_DIR)/capture.png

ALSA_DEPS := $(ALSA_DIR)/amixer.c $(ALSA_DIR)/events.c $(ALSA_DIR)/async.c $(ALSA_DIR)/list.c $(ALSA_DIR)/userinfo.c

OBJECTS := functions_ui.o scontrol.o snd_monitor.o amixer_ui.o statusicon.o popup.o main.o 
SOURCES := $(patsubst %.o,%.cpp,$(OBJECTS))

# compiler and linker
CC := g++

bindir = $(DESTDIR)$(PREFIX)

all: amixer-gtk

.SUFFIXES:

%.o: %.cpp build_images
	$(CC) -Wno-deprecated-declarations -D_GNU_SOURCE -c $< -I.. -I$(ALSA_DIR) `pkg-config --cflags sigc++-2.0 glibmm-2.4 gtkmm-2.4`

.NOTPARALLEL:

amixer-gtk: $(OBJECTS) $(ALSA_DIR)/backend.a
	$(CC) -D_GNU_SOURCE -o $@ $^ -lasound -pthread `pkg-config --libs sigc++-2.0 glibmm-2.4 gtkmm-2.4`

$(ALSA_DIR)/backend.a: $(ALSA_DEPS)
	$(MAKE) -r -C $(ALSA_DIR) backend.a

build_images: $(SOUND_ICON) $(NO_SOUND_ICON) $(PLAYBACK_ICON) $(CAPTURE_ICON)
	gdk-pixbuf-csource --raw --name=sound_24x24 $(SOUND_ICON) >sound_24x24
	gdk-pixbuf-csource --raw --name=no_sound_24x24 $(NO_SOUND_ICON) >no_sound_24x24
	gdk-pixbuf-csource --raw --name=playback_32x37 $(PLAYBACK_ICON) >playback_32x37
	gdk-pixbuf-csource --raw --name=capture_32x37 $(CAPTURE_ICON) >capture_32x37

.SECONDARY: sound_24x24 no_sound_24x24 playback_32x37 capture_32x37

#-----------------------------------------------------

.PHONY: clean cleanall

clean:
	@rm -vf $(wildcard *.o) $(wildcard *~)

cleanall:
	@rm -vf $(wildcard *.o) $(wildcard *~) amixer-gtk sound_24x24 no_sound_24x24 playback_32x37 capture_32x37

=== debian/changelog ===
amixer-gtk (0.2.7-1) unstable; urgency=medium

  * Change default position if x_pos and y_pos aren't defined
  * Use safe strncpy_t() instead of strcpy() 
  * New upstream version 0.2.7

 -- Aitor <aitor_czr@gnuinos.org>  Mon, 30 Dec 2024 09:27:15 +0100

amixer-gtk (0.2.6-1) unstable; urgency=medium

  * Fix := array overflow

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 25 Feb 2024 14:47:11 +0100

amixer-gtk (0.2.5-2) unstable; urgency=medium

  * Build for daedalus

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sat, 20 May 2023 14:22:09 +0200

amixer-gtk (0.2.5-1+gnuinos4) unstable; urgency=medium

  * skip taskbar hint whenever the application restarts in the systray.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 26 Mar 2023 17:28:27 +0200

amixer-gtk (0.2.4-1+gnuinos4) unstable; urgency=medium

  * New upstream release 0.2.4
  * Fix overflow in the absolute path to executable due to an uninitialized string
  * Handle signals like SIGTERM, SIGINT and SIGQUIT
  * Do not detach asynchronous child process from parent
  * Use Getopt in place of Glib::OptionContext to parse the args in the command line

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 19 Feb 2023 21:23:04 +0100

amixer-gtk (0.2.3-2+gnuinos4) unstable; urgency=medium

  * Set the install prefix in d/rules and do not override dh_auto_install

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Wed, 15 Feb 2023 22:06:24 +0100

amixer-gtk (0.2.3-1+gnuinos4) unstable; urgency=medium

  * New upstream version 0.2.3
  * Fix a mistake in the command that restarts the gui when a new control (e.g. PCM) 
    arises.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Tue, 14 Feb 2023 20:34:41 +0100

amixer-gtk (0.2.2-1+gnuinos4) unstable; urgency=medium

  * New upstream version 0.2.2
  * Fixed a in the Master control bug when there is no systray icon
  * Remove dependency on libprocps, this removal is subject to the condition of being 
    enabled the kernel configuration variable CONFIG_PROC_CHILDREN, which goberns the 
    presence of /proc/<pid>/task/<tid>/children, where <tid> are the task identifiers.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 05 Feb 2023 13:24:31 +0100

amixer-gtk (0.2.1-1+gnuinos4) unstable; urgency=medium

  * Move the socket to /tmp
  * Add another index to the upstream version

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Tue, 17 Jan 2023 23:56:53 +0100

amixer-gtk (0.2-1+gnuinos4) unstable; urgency=medium

  * Use a weak pointer to access the data provided by the monitor
  * New upstream 0.2

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Mon, 16 Jan 2023 15:13:50 +0100

amixer-gtk (0.1) chimaera; urgency=medium

  * Initial release.

 -- Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>  Sun, 01 May 2022 21:22:39 +0200

=== debian/control ===
Source: amixer-gtk
Section: sound
Priority: optional
Origin: Gnuinos
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Build-Depends: debhelper (>= 12),
 dpkg-dev (>= 1.16.1~),
 pkg-config (>= 0.29.2~),
 libgtkmm-2.4-dev (>= 1:2.24.5-4),
 libasound2-dev (>= 1.2.2-1.1),
 libsigc++-2.0-dev (>= 2.10.4-2)
Standards-Version: 4.5.0
Homepage: https://gitea.devuan.dev/aitor_czr/amixer-gtk

Package: amixer-gtk
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
  wmctrl (>= 1.07~)
Description: desktop mixer in Gtk with features similar to alsamixer.
 .
 Amixer-gtk is a desktop mixer application for ALSA's "Simple Mixer Interface" 
 and offers basic mixer functionality together with a system tray icon.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1):
# - https://wiki.debian.org/Hardening#dpkg-buildflags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export PREFIX = /usr

%:
	dh $@
